//FirstView Component Constructor
function FirstView() {

	var iPadImageCapture = require('/ui/common/iPadImageCapture');
    Ti.API.error("Image Capture Loaded");

    Ti.App.setForceSplashAsSnapshot(true);

    var myView = Ti.UI.createView({
        backgroundColor: 'blue',
        height: Ti.UI.FILL,
        width: Ti.UI.FILL,
        layout: 'vertical'
    });

    var success = function(capturedImage, thumbnail, originalImage){
    	Ti.API.error("Success Called");
    };

    var processing = function(){
    	Ti.API.error("Processing Called");
    };

    var error = function(error){
    	Ti.API.error("Error Called: " + JSON.stringify(error));
    };

    var cancel = function(){
    	Ti.API.error("Cancel Called");
        Ti.Geolocation.getCurrentPosition();
    };

    var args = {
        imageWidth: 1600,
        imageCompression: 0.7,
        imageColor: true,
        infoText: "I am the check deposit overlay text",
        checkSideInfoText: "CHECK SIDE TXT",
        checkSide: "front",
        processingFn: processing,
        successFn: success,
        cancelFn: cancel,
        errorFn: error
   };

 	var launchImageCapture = function(){
    	iPadImageCapture.captureCheckImage(args);
    };

    var launchCameraButton = Ti.UI.createButton({
        top: 0,
        title: "Launch Camera",
        backgroundColor: 'orange',
    	height: 50,
    	width: Ti.UI.FILL
    });

    myView.add(launchCameraButton);

    launchCameraButton.addEventListener('touchend', function(){
    	Ti.API.error("Launch Image Capture");
        launchImageCapture();
    });

    // launchCameraButton.fireEvent('touchend');
	
	return myView;
}

module.exports = FirstView;
