// This is a test harness for your module
// You should do something interesting in this harness 
// to test out the module and to provide instructions 
// to users on how to use it by example.


// open a single window
var win = Ti.UI.createWindow({
	backgroundColor:'white',
});
win.open();

// scroll view container for content
var container = Ti.UI.createScrollView({
	backgroundColor: 'yellow',
	layout: 'vertical',
	size: Ti.UI.SIZE,
	height: Ti.UI.SIZE,
	top: 0,
	left: 0
});
win.add(container);

// load the module
var imagerotate = require('com.mfoundry.mb.imagerotate');
Ti.API.info("module is => " + imagerotate);

// test image rotation
var testImage = Ti.Filesystem.getFile('modules/com.mfoundry.mb.imagerotate/sharkfin.jpg').read();
var rotatedImage = imagerotate.rotateImage(testImage);

// display the rotated image
var imageView = Ti.UI.createImageView({
	image: rotatedImage,
	width: Ti.UI.SIZE,
	height: Ti.UI.SIZE
});
container.add(imageView);


